<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

$id_str=$_GET[id_str];
$id_par=$_REQUEST[id_par];

// list expected fields
$expected = array('q_naslov','q_model','q_opis','q_prikaznaslov','q_thumb_sirina','q_thumb_visina','q_big_sirina','q_big_visina','q_maxpic','q_published');
// set req_uired fields
$required = array('q_model');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {
	
		
	//insert new data in database
	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	$q_opis=uredi_var($q_opis);
	
	if ($q_model==7) {
		$q_thumb_sirina=0;
		$q_thumb_visina=0;
		$q_big_sirina=0;
		$q_big_visina=0;
		$q_maxpic=0;
	}
	
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_opis_mysql=mysql_real_escape_string($q_opis);
				
	$result = mysql_query("update b7_paragraf set 
							naslov='$q_naslov_mysql',
							opis='$q_opis_mysql',							
							thumb_sirina='$q_thumb_sirina',
							thumb_visina='$q_thumb_visina',
							big_sirina='$q_big_sirina',
							big_visina='$q_big_visina',
							maxpic='$q_maxpic',
							model='$q_model',
							prikaznaslov='$q_prikaznaslov',
							published='$q_published',
							user='$log_username',
							datum=now() 
							where id_paragraf='$id_par'");
						
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno su promjenjeni parametri za paragraf <strong>'.$q_naslov.'</strong> u bazi<br />';
		//kreiraj tekst
		if ($q_model==7) {
			//zapis teksta za download listu
			include ("func/uredi_tekst_upload.php");
			$q_tekst=uredi_tekst_upload($id_par, "upload/paragraf/", $parametar_domena, $conn); 
	
			//spremi tekst u bazu
			//pripremi za unos u bazu
			$q_tekst_mysql=mysql_real_escape_string($q_tekst);
		
			$result = mysql_query("update b7_paragraf_tekst set		
								tekst='$q_tekst_mysql',
								user='$log_username',
								datum=now() 
								where id_paragraf='$id_par'");
			
			if (!$result) {
				$error.='Dogodila se greška pri zapisu u bazu: <br />'.mysql_error().'<br />';
			} 
			
			//ucitaj ime fajla
			$sql98="SELECT fajl FROM b7_paragraf WHERE id_paragraf='$id_par'";	
			$rez98=mysql_query($sql98,$conn);
			$row98=mysql_fetch_array($rez98);
			$new_fajl=$row98['fajl'];
			
			//spremi tekst u fajl
			$file2open = $parametar_tekst_direktorij . $new_fajl;
			if (!$listfile = fopen($file2open, 'w'))
			{
				$error.= 'dogodila se gre&#353;ka prilikom kreacije fajla.<br />';
			} else
			{
				fwrite($listfile, $q_tekst);
				if (!fclose($listfile))
				{
					$error.= 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.<br />';
				}
			}
		} else {
			//zapis teksta za tekst i slike
			include ("func/uredi_tekst.php");
			uredi_tekst($id_par,$parametar_domena,$parametar_tekst_direktorij,$conn);
		}
	}				
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za kreaciju zapisa u bazi';
}
?>
<div id="main_content">
<h1>Spremanje podataka u bazu</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>
<br /><br />
<a href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_paragrafi&amp;id_rub=<?php echo $id_rub;?>&amp;id_kat=<?php echo $id_kat;?>&amp;id_str=<?php echo $id_str;?>">Povratak...</a>
</div>